## org.mortbay.util
Class Observed

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--org.mortbay.util.Observed

public class Observed
extends java.util.Observable

Helpful extension to Observable. NotifyObservers will set a changed first.

Constructor Summary
`Observed()`

Method Summary
`void` `notifyObservers()`
`void` `notifyObservers(java.lang.Object arg)`

Methods inherited from class java.util.Observable
`addObserver, countObservers, deleteObserver, deleteObservers, hasChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Observed

    public Observed()

Method Detail

### notifyObservers

    public void notifyObservers(java.lang.Object arg)

  Overrides:
    `notifyObservers` in class `java.util.Observable`

### notifyObservers

    public void notifyObservers()

  Overrides:
    `notifyObservers` in class `java.util.Observable`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.